import { useState } from "preact/hooks";
import { useRemoteStream } from "../hooks/useStream.ts";

export const ResourceList = () => {
  // const [resources, setResources] = useState<BlockItem[]>([]);
  // // useRemoteStream("/api/stream/test", (e) => {
  // useRemoteStream("http://localhost:8000/api/resources/blocks?format=57", (e: string) => {
  //   try {
  //     JSON.parse(e);
  //   } catch (err) {
  //     return console.log(e);
  //   }
  //   setResources((resources) => [...resources, ...JSON.parse(e) as BlockItem[]]);
  // }, (e) => console.log(e));

  const [resources, isLoading, error] = useRemoteStream<BlockItem>('http://localhost:8000/api/resources/blocks?format=57');

  if (isLoading) return <div>Loading...</div>;
  if (error) return <div>Error: {error}</div>;

  return (
    <div>
      <ul>
        {resources?.map((resource) => (
          <li>
            {resource.name}
            <img class="min-w-6 max-w-8" src={resource.images[0]} />
          </li>
        ))}
      </ul>
    </div>
  );
};
